% výpočet konstant pro výpočet tlakové ztráty podle Levyho 
function [N,fm] = tlakova_ztrata_Levy (Rem)

    % vypocet koeficientu N
    if Rem > 10 || Rem < 170;
     N = 0.3168*log(Rem)+0.2216;
    elseif Rem > 170 || Rem < 1000;
     N = 0.0735*log(Rem)+1.4429;
    else Rem > 1000 || Rem < 10000;
     N = 0.0168*log(Rem)+1.8313;
    end
 
     % vypocet koeficientu fm
    if Rem > 0.001 & Rem < 20;
     fm = 106.7*Rem^(-0.988);
    elseif Rem > 20 & Rem < 600;
     fm = 17.271*Rem^(-0.418);
    else Rem > 600 & Rem < 10000;
     fm = 1.8704*Rem^(-0.065);
    end
end

 